All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::spai_precond< MatrixType > Class Template Reference

Implementation of the SParse Approximate Inverse Algorithm for a generic, uBLAS-compatible matrix type. More...

`#include <spai.hpp>`

## Public Types

typedef MatrixType::value_type | ScalarType
typedef boost::numeric::ublas::vector < ScalarType > | VectorType

## Public Member Functions

| spai_precond (const MatrixType &A, const spai_tag &tag)
| Constructor. More...
void | apply (VectorType &vec) const
| Application of current preconditioner, multiplication on the right-hand side vector. More...

## Detailed Description

### template<typename MatrixType>
class viennacl::linalg::spai_precond< MatrixType >

Implementation of the SParse Approximate Inverse Algorithm for a generic, uBLAS-compatible matrix type.

Parameters

  Matrix | matrix that is used for computations
  Vector | vector that is used for computations

Examples:
  spai.cpp.

Definition at line 75 of file spai.hpp.

## Member Typedef Documentation

template<typename MatrixType>

typedef MatrixType::value_type viennacl::linalg::spai_precond< MatrixType >::ScalarType

Definition at line 78 of file spai.hpp.

template<typename MatrixType>

typedef boost::numeric::ublas::vector<ScalarType> viennacl::linalg::spai_precond< MatrixType >::VectorType

Definition at line 79 of file spai.hpp.

## Constructor & Destructor Documentation

template<typename MatrixType>

viennacl::linalg::spai_precond< MatrixType >::spai_precond | ( | const MatrixType & | A,
|  | const spai_tag & | tag
| ) |  |

inline

Constructor.

Parameters

  A | matrix whose approximate inverse is calculated. Must be quadratic.
  tag | spai tag

Definition at line 84 of file spai.hpp.

## Member Function Documentation

template<typename MatrixType>

void viennacl::linalg::spai_precond< MatrixType >::apply | ( | VectorType & | vec | ) | const

inline

Application of current preconditioner, multiplication on the right-hand side vector.

Parameters

  vec | rhs vector

Definition at line 108 of file spai.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/spai.hpp